de.caff.generics.function

## Interface IntOrdering.Serial

- All Superinterfaces:
    ByteOrdering, CharOrdering, IntOrdering, java.io.Serializable, ShortOrdering
  Enclosing interface:
    IntOrdering

      public static interface IntOrdering.Serial
      extends IntOrdering, java.io.Serializable

  An int ordering which is serializable. It is a recommendation that comparators implement `java.io.Serializable` to allow serializing `TreeMap`s and similar. If an Ordering is expected to be used as a comparator in such areas implement either this interface, or for lambdas use a cast to force the compiler to make the order serializable:

         return (IntOrdering & Serializable) (v1, v2) -> v1.compareTo(v2);

  You can also use a `(IntOrdering.Serial)` cast to save a bit of typing, but the above is a nice trick to have in your toolbox.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.function.IntOrdering

      `IntOrdering.Serial`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.function.IntOrdering

      `ASCENDING, DESCENDING, UNSIGNED_ASCENDING, UNSIGNED_DESCENDING`

  - ### Method Summary

    - ### Methods inherited from interface de.caff.generics.function.IntOrdering

      `ascending, ascendingOrSame, asIntComparator, asIntOrdering, asNumberComparator, checkByte, checkChar, checkInt, checkShort, descending, descendingOrSame, different, fromComparator, inverse, same`

    - ### Methods inherited from interface de.caff.generics.function.ByteOrdering

      `asByteComparator, asByteOrdering, ascending, ascendingOrSame, descending, descendingOrSame, different, fromComparator, same`

    - ### Methods inherited from interface de.caff.generics.function.ShortOrdering

      `ascending, ascendingOrSame, asShortComparator, asShortOrdering, descending, descendingOrSame, different, fromComparator, same`

    - ### Methods inherited from interface de.caff.generics.function.CharOrdering

      `ascending, ascendingOrSame, asCharComparator, asCharOrdering, descending, descendingOrSame, different, fromComparator, same`